package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.RequiredArgsConstructor;

import java.time.LocalDate;

/**
* @description: 非标产值申请
* @author: wlb
* @create: 2020-09-17
**/
@Data
@RequiredArgsConstructor
@ApiModel("非标产值申请")
public class NonStandardApplyQuery {
	private Integer id;

	@ApiModelProperty(name = "name", value = "姓名")
	private String name;

	@ApiModelProperty(name = "account", value = "账号")
	private String account;

	@ApiModelProperty(name = "reportedHours", value = "上报工时")
	private Double reportedHours;

	@ApiModelProperty(name = "workType", value = "工作类别")
	private String workType;

	@ApiModelProperty(value = "按钮类型 （1保存，2保存并提交）")
	private Integer menuId;

	@ApiModelProperty(name = "startTime", value = "开始时间")
	private LocalDate startTime;

	@ApiModelProperty(name = "workDescription", value = "工作描述")
	private String workDescription;
}
