package cn.wise.sc.cement.business.util;

import cn.wise.sc.cement.business.model.PageQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2020-09-27 18:19
 **/
public class PageUtil {

    public static <T>  Page<T> listConvertToPage(List<T> list, PageQuery pageQuery) {
        int start = pageQuery.getPageNo();
        int end = Math.min((start + pageQuery.getPageSize()), list.size());
        Page<T> page = new Page<>(start, end, list.size());
        page.setRecords(list.subList(start, end));
        return page;
    }
}
